Name:       nodejs-chmodr
Version:    0.1.0
Release:    2%{?dist}
Summary:    Recursively change UNIX file permissions
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/chmodr
Source0:    http://registry.npmjs.org/chmodr/-/chmodr-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
%{summary}, like `chmod -R`.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/chmodr
cp -pr chmodr.js package.json %{buildroot}%{nodejs_sitelib}/chmodr

%nodejs_symlink_deps

# disabled; TAP is not in the distro yet
#%%check
#%%tap test/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/chmodr
%doc README.md LICENSE

%changelog
* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-2
- fix License tag

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-1
- initial package
